<?php
require_once 'functions.php';
require_once 'config.php';

$on_login_page = true;

// Upon logout, destroy the session
if ($_GET["action"] == "logout") {
	unset($_SESSION);
	session_destroy();
	$DB_CONNECTION = false;
}

require 'header.php';

// Verify login information
if (isset($_POST["oracle_username"]) && isset($_POST["oracle_password"])) {
	if (oci_connect($_POST["oracle_username"], $_POST["oracle_password"], "dbase1")) {
		session_regenerate_id(true);
		$_SESSION["username"] = $_POST["oracle_username"];
		$_SESSION["password"] = $_POST["oracle_password"];
		header("Location: index.php");
		exit();
	}
	else {
		$error = true;
	}
}
?>
<div style="margin:100px auto;width:500px;">
	<?php version_check(); ?>
	<form action="login.php" method="post">
		<table style="margin: 0px auto;width:350px;">
			<tr>
				<th colspan="2">
					<span style="font-size:20pt;">Oracle Login</span>
					<?php
					if ($error) {
						echo '<br><span style="color:#A00;">The connection details were not valid.</span>';
					}
					?>
					<br>
					<span style="font-size:10pt;text-align:left;display:block;">
						The login details are found in your oracle-details.txt file in your home directory on the Babbage server.
					</span>
				</th>
			</tr>
			<tr>
				<td>Username:</td>
				<td><input type="text" name="oracle_username" style="width:150px;"></td>
			</tr>
			<tr>
				<td>Password:</td>
				<td><input type="password" name="oracle_password" style="width:150px;"></td>
			</tr>
			<tr>
				<td colspan="2" style="text-align:right;"><input type="submit" value="Log In"></td>
			</tr>
		</table>
	</form>
</div>
<?php
require 'footer.php';
?>