<?php
/**********************************************************
Oracle DBMS lite - For use with the Babbage server
Author:
	Michael Fitzpatrick 
	mrfkxd@mail.missouri.edu

"Because Oracle shouldn't be so difficult..."
***********************************************************/

// Force a secure connection
if ($_SERVER["HTTPS"] != "on") {
	header("Location: https://".str_replace("www.", "", $_SERVER["HTTP_HOST"]).$_SERVER["REQUEST_URI"]);
	exit();
}

// Create a secure session
session_cache_limiter('private, must-revalidate');
session_set_cookie_params(0, get_page_path(), str_replace("www.", "", $_SERVER["HTTP_HOST"]), true, true);
session_start();

// Attempt a connection
if ($_SESSION["username"]) {
	$DB_CONNECTION = oci_connect($_SESSION["username"], $_SESSION["password"], "dbase1");
}
?>